stages :
  - install
  - test
  - deploy

variables:
  HEROKU_APP_NAME: cloud-tp3


dependencies:
  stage: install
  image: node:12-alpine
  script:
    - npm install

test:
  stage: test
  image: trion/ng-cli-karma
  allow_failure: true
  script:
    - npm install
    - ng test --progress false --watch false

deploy:
  stage: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=76db5a84-d165-463e-9b45-ccac5ab68551
  